package za.co.enerweb.entity;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

@Embeddable
public class TouProfilePK {

	
    @Temporal( TemporalType.TIMESTAMP)
	@Column(name="DATE_TIME")
	private Date dateTime;

    
    @Temporal( TemporalType.DATE)
	@Column(name="TOU_DATE", nullable=false)
	private Date touDate;
    
    
	@Column(name="TOU_NAME", nullable=false, length=30)
	private String touName;
	
	@Column(name="INTERVAL_MIN_LENGTH", nullable=false, precision=22)
	private int intervalMinLength;

	public TouProfilePK(){}
	
	public Date getDateTime() {
		return dateTime;
	}

	public void setDateTime(Date dateTime) {
		this.dateTime = dateTime;
	}

	public Date getTouDate() {
		return touDate;
	}

	public void setTouDate(Date touDate) {
		this.touDate = touDate;
	}

	public String getTouName() {
		return touName;
	}

	public void setTouName(String touName) {
		this.touName = touName;
	}

	public int getIntervalMinLength() {
		return intervalMinLength;
	}

	public void setIntervalMinLength(int intervalMinLength) {
		this.intervalMinLength = intervalMinLength;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result
				+ ((dateTime == null) ? 0 : dateTime.hashCode());
		result = prime * result + intervalMinLength;
		result = prime * result + ((touDate == null) ? 0 : touDate.hashCode());
		result = prime * result + ((touName == null) ? 0 : touName.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		TouProfilePK other = (TouProfilePK) obj;
		if (dateTime == null) {
			if (other.dateTime != null)
				return false;
		} else if (!dateTime.equals(other.dateTime))
			return false;
		if (intervalMinLength != other.intervalMinLength)
			return false;
		if (touDate == null) {
			if (other.touDate != null)
				return false;
		} else if (!touDate.equals(other.touDate))
			return false;
		if (touName == null) {
			if (other.touName != null)
				return false;
		} else if (!touName.equals(other.touName))
			return false;
		return true;
	}
	
    
    
}
